This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1007539 - Review Request: xfoil - Subsonic Airfoil Development System
Review Request: xfoil - Subsonic Airfoil Development System
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 13:31 EDT by Sandro Mani
Modified: 2014-04-20 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: xfoil-6.97-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 00:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brendan.jones.it: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-09-12 13:31:54 EDT
Spec URL: http://smani.fedorapeople.org/xfoil.spec
SRPM URL: http://smani.fedorapeople.org/xfoil-6.97-1.fc21.src.rpm
Description: Subsonic Airfoil Development System
Fedora Account System Username: smani
Comment 1 Sandro Mani 2013-09-12 16:18:43 EDT
Spec URL: http://smani.fedorapeople.org/xfoil.spec
SRPM URL: http://smani.fedorapeople.org/xfoil-6.97-2.fc21.src.rpm

* Thu Sep 12 2013 Sandro Mani <manisandro@gmail.com> - 6.97-2
- Add license file
Comment 2 Brendan Jones 2013-09-12 19:16:54 EDT
Just an observations before I jump in; there are a lot of patches here with no upstream reference to bug reports etc. or reasons why they exist (apart from the obvious makefile ones). You need to elaborate. If upstream is amenable (or not) comment it in your spec
Comment 3 Sandro Mani 2013-09-12 19:23:24 EDT
Right, so (as noted) I basically took them from the debian package and reviewed them. Upstream does not have a bug tracker, but I could try mailing the author and see whether he cares to review the patches (though him being an MIT prof, I'm not sure what the odds are of him responding for some code nitpicking).
Comment 4 Brendan Jones 2013-09-13 11:25:02 EDT
Checking: xfoil-6.97-2.fc21.x86_64.rpm
xfoil.x86_64: E: description-line-too-long C XFOIL is an interactive program for the design and analysis of subsonic isolated airfoils.
xfoil.x86_64: W: no-manual-page-for-binary pplot
xfoil.x86_64: W: no-manual-page-for-binary xfoil
xfoil.x86_64: W: no-manual-page-for-binary pxplot
1 packages and 0 specfiles checked; 1 errors, 3 warnings.


Apart from that all looks good. This package is APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[x] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 118 files have unknown license. Detailed output of
     licensecheck in /tmp/review-xfoil/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 122880 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xfoil-6.97-2.fc21.x86_64.rpm
xfoil.x86_64: E: description-line-too-long C XFOIL is an interactive program for the design and analysis of subsonic isolated airfoils.
xfoil.x86_64: W: no-manual-page-for-binary pplot
xfoil.x86_64: W: no-manual-page-for-binary xfoil
xfoil.x86_64: W: no-manual-page-for-binary pxplot
1 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xfoil
xfoil.x86_64: E: description-line-too-long C XFOIL is an interactive program for the design and analysis of subsonic isolated airfoils.
xfoil.x86_64: W: no-manual-page-for-binary pplot
xfoil.x86_64: W: no-manual-page-for-binary xfoil
xfoil.x86_64: W: no-manual-page-for-binary pxplot
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
xfoil (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    libm.so.6()(64bit)
    libquadmath.so.0()(64bit)
    rtld(GNU_HASH)
    xorg-x11-fonts-misc



Provides
--------
xfoil:
    xfoil
    xfoil(x86-64)



Source checksums
----------------
http://web.mit.edu/drela/Public/web/xfoil/xfoil6.97.tar.gz :
  CHECKSUM(SHA256) this package     : 293e28e269bd88a62f8b6ba6bf684f16843f6776736e6b77aaa8b6bebc467a81
  CHECKSUM(SHA256) upstream package : 293e28e269bd88a62f8b6ba6bf684f16843f6776736e6b77aaa8b6bebc467a81


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -n xfoil -m fedora-rawhide-x86_64
Comment 5 Sandro Mani 2013-09-13 11:29:18 EDT
Thanks for the review!


New Package SCM Request
=======================
Package Name: xfoil
Short Description: Subsonic Airfoil Development System
Owners: smani
Branches: f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-09-13 11:40:09 EDT
Git done (by process-git-requests).
Comment 7 Ralf Corsepius 2013-09-13 11:43:55 EDT
One oversight:

The directory /usr/share/xfoil/ is unowned. Please let this package own this directory.
Comment 8 Sandro Mani 2013-09-13 11:45:21 EDT
Oh bummer, thanks! Fixed in git.
Comment 9 Fedora Update System 2013-09-13 12:30:18 EDT
xfoil-6.97-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfoil-6.97-3.fc19
Comment 10 Fedora Update System 2013-09-13 19:52:00 EDT
xfoil-6.97-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfoil-6.97-3.fc20
Comment 11 Fedora Update System 2013-09-13 22:35:27 EDT
xfoil-6.97-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-09-22 00:23:19 EDT
xfoil-6.97-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-09-22 20:17:10 EDT
xfoil-6.97-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Sandro Mani 2014-04-20 17:39:43 EDT
Package Change Request
======================
Package Name: xfoil
New Branches: epel7
Owners: smani
InitialCC:
Comment 15 Sandro Mani 2014-04-20 17:40:48 EDT
Package Change Request
======================
Package Name: xfoil
New Branches: el6 epel7
Owners: smani
InitialCC:
Comment 16 Kevin Fenzi 2014-04-20 19:29:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.